Author Topic: Update issue  (Read 7604 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Update issue
« on: March 05, 2022, 07:18:12 PM »
Hello, I want to update my php, this is because in wordpress it tells me that I have version 7.2



In my vhost configuration file I have this address associated with php /usr/local/cwp/php71


but in my panel it says that I am running version 7.4 which is not true because wordpress is mentioning that I have an old one



How can I upgrade to 7.4?

Offline
***
Re: Update issue
« Reply #1 on: March 05, 2022, 08:31:56 PM »
Quote
In my vhost configuration file I have this address associated with php /usr/local/cwp/php71
You are looking at the wrong vhost file.

Quote
but in my panel it says that I am running version 7.4 which is not true because wordpress is mentioning that I have an old one
The version 7.4 you are mentioning in the picture cannot be used because you disabled it from being used by forcing PHP-FPM feature, which is set at 7.3 as a default version for all websites, unless the website is told to use something else (not the 7.4 in the picture).

Not sure how you got to forcing PHP-FPM without knowing what it means, and if you did just follow instructions blindly, then your wordpress would be running with 7.3, not 7.2.

There is something wrong somewhere in your configurations.

Step one
Option one:
Find out what your PHP version really is through the website:
- Open the file browser and navigate to the content of the wordpress website. In the main folder for your domain/wordpress site, create a file named info.php.
- Put this code it in
Code: [Select]
<?php
phpinfo
();
?>
- Save the file and open it normally with the browser. http://your_wordpress_domain.com/info.php
- Take a screenshot of what in there without scrolling it and post it here.
- Delete the info.php file, as it can be a security issue if left publicly accessible.

Option two
Find out what your PHP version really is through CWP:
- In CWP admin panel. Go to WebServer Settings - WebServer Conf Editor - Click on the Apache tab - Click on /usr/local/apache/conf.d/vhosts/ tab - Find the .conf file for your wordpress site - Click on edit - Scroll down to <IfModule proxy_fcgi_module>
- there should be a code there looking like this:
Code: [Select]
<IfModule proxy_fcgi_module>
<FilesMatch \.php$>
SetHandler "proxy:unix:/opt/alt/php-fpm74/usr/var/sockets/user.sock|fcgi://localhost"
</FilesMatch>
</IfModule>
- Take a screenshot of it and post it here.
- DON'T edit anything in there.

Step two

- In CWP admin panel - Go to WebServer Settings - WebServers Domain Conf - Select the user that has the wordpress site
- Does the button under Actions for your wordpress site say "Create Configuration" or "View/Edit Configuration"?
- Take a screenshot of the list and post it here anyways...
« Last Edit: March 05, 2022, 09:06:57 PM by iraqiboy90 »

Offline
*
Re: Update issue
« Reply #2 on: March 05, 2022, 09:06:58 PM »
1. im using that path for this issue that i had with "bad gateway" in this post https://forum.centos-webpanel.com/index.php?topic=11864.0 after change that how @rcschaff my site is working normally


2. PHP INFO

 


3. Im using nginx no apache however is this





4. Step two





Offline
****
Re: Update issue
« Reply #3 on: March 07, 2022, 01:59:24 AM »
Check the box "Rebuild this domain", and hit save.  If it does not change the php-fpm version, then you have hardcoded the PHP version in the template file, and that would need to be undone.
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: Update issue
« Reply #4 on: March 07, 2022, 03:41:33 AM »
If I do that, that is, edit the file, which is what you suggested, I will have the bad gateway problem again because the djflakf.sock file is deleted

Offline
****
Re: Update issue
« Reply #5 on: March 07, 2022, 04:31:29 AM »
That should be fine, because there should be a socket file in php-fpm73.  Ideally, you should not be using the cwpsrv php-fpm, but the client version in /opt/alt/php*
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: Update issue
« Reply #6 on: March 07, 2022, 05:03:30 AM »
That should be fine, because there should be a socket file in php-fpm73.  Ideally, you should not be using the cwpsrv php-fpm, but the client version in /opt/alt/php*

I understand that I should not use it, I followed your advice in previous posts and I stopped getting 502 using cwp's php, because in this route

/opt/alt/php-fpm73/usr/var/sockets



there is nothing, the files are deleted, as I explained in the first post, I can do a clean installation of the panel, I put the wordpress, I do the configuration that I have, but after a few hours of working the djflakf1.sock file is deleted and I do not understand why in fact others have reported the same

http://forum.centos-webpanel.com/php/php-fpm-socket-not-create/


Offline
****
Re: Update issue
« Reply #7 on: March 07, 2022, 05:17:45 AM »
There are no socket files, because that version of php-fpm is not running.  Start it with

systemctl start php-fpm73.service
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: Update issue
« Reply #8 on: March 07, 2022, 05:23:17 AM »

Offline
****
Re: Update issue
« Reply #9 on: March 07, 2022, 05:28:00 AM »
the polkit error isn't of concern.  see if the sockets exist now.  If not, use systemctl status php-fpm73 to see any errors
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: Update issue
« Reply #10 on: March 07, 2022, 05:31:25 AM »
i don't understand this


Offline
****
Re: Update issue
« Reply #11 on: March 07, 2022, 06:19:08 AM »
Issue Resolved.  Binary had wrong permissions.
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: Update issue
« Reply #12 on: March 07, 2022, 10:00:19 AM »
With the great help of @rcschaff, the permissions of this php-fpm file were changed so that 7.3 of the panel could work without problem, but at 3 am today the file was modified in permissions again, which causes an error 502, what about this panel?



The permissions that were changed yesterday, automatically changed again by themselves, it seems like a joke in bad taste

Offline
*****
Re: Update issue
« Reply #13 on: March 07, 2022, 11:23:10 AM »
check that your pro license is valid

Offline
*
Re: Update issue
« Reply #14 on: March 07, 2022, 11:36:41 AM »
I have not pro license, my panel is free, ¿why? ¿for use php, nginx or wordpress i need a license?